Subject: We don't save your credit card information and can't even view it.

From: "Merlin Clayton" <[email-masked]>
Date: Sat, 1 Sep 2007 17:05:01 +0900

No more being shy of your manhood in the showers after gym or in public toilets.
http://sadiik.com